// creator  : weidu.exe (version 23100)
// argument : SPOILED1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SPOILED1~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)
RandomNum(4,1)
Global("spoiled1keldorn","AR0700",0)~ THEN BEGIN 0 // from:
  SAY #14468 /* ~Gosh, you're a knight aren't you, sir?  Can I see your sword?  I want to grow up to be just like you!~ */
  IF ~~ THEN DO ~SetGlobal("spoiled1keldorn","AR0700",1)~ EXTERN ~KELDORJ~ 53
END

IF ~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)
Gender("Edwin",MALE)
RandomNum(4,2)
Global("spoiled1edwin","AR0700",0)
~ THEN BEGIN 1 // from:
  SAY #14233 /* ~You look like a wizard.  I'm going to get the Cowled ones and set them on you, I will!~ */
  IF ~~ THEN DO ~SetGlobal("spoiled1edwin","AR0700",1)~ EXTERN ~EDWINJ~ 18
END

IF ~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)
Gender("Edwin",FEMALE)
RandomNum(4,2)
Global("spoiled1edwinw","AR0700",0)
~ THEN BEGIN 2 // from:
  SAY #14250 /* ~You sure are ugly for a lady.~ */
  IF ~~ THEN DO ~SetGlobal("spoiled1edwinw","AR0700",1)~ EXTERN ~EDWINJ~ 179
END

IF ~RandomNum(4,1)
~ THEN BEGIN 3 // from:
  SAY #14266 /* ~My daddy's on the Council.  He rules the world.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,2)
~ THEN BEGIN 4 // from:
  SAY #14299 /* ~I think circuses are stupid.  I say good riddance if somebody died there.~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,3)
~ THEN BEGIN 5 // from:
  SAY #14298 /* ~My brother thumped me but good this morning.  He's going to pay.  Can I hire you to beat him up?~ */
  IF ~~ THEN EXIT
END

IF ~RandomNum(4,4)
~ THEN BEGIN 6 // from:
  SAY #14240 /* ~My mother says we should stay away from people like you.  You could be wizards.~ */
  IF ~~ THEN EXIT
END
